#!/bin/sh

#
# Sean MacGuire - Big Brother Pager Script
# Format: bb-page <PAGER-#> <NUMERIC-MESSAGE>
#

. $BBHOME/etc/bbdef.sh          # INCLUDE STANDARD DEFINITIONS
 
if test "$#" = "1"
then
	set $1
fi

if test "$#" != "2"
then
	echo "bb-page:	Incorrect number of arguments"
	echo "Format:	bb-page <PAGER-#> <NUMERIC-MESSAGE>"
	exit 1
else
	PAGER=$1
	MESSAGE=$2
fi

$KERMIT << EOF | grep BUSY > /dev/null
SET LINE $TTYLINE
SET SPEED 1200
SET MODEM hayes
SET DIAL TIMEOUT 30
DIAL ${PREFIX}${PAGER},,,,,,,${MESSAGE}
QUIT
EOF

exit $?
