#!/bin/sh

#
# bbdef.sh
#
# BIG BROTHER DEFINITIONS AREA
#

#
# THESE THINGS ARE NEEDED FOR TESTING
#
#LYNX="/usr/local/bin/lynx -dump"       # WHERE lynx LIVES
LYNX="$BBHOME/bin/bbnet"	        # WHERE lynx LIVES
KERMIT="/usr/local/bin/kermit"          # WHERE kermit LIVES
TTYLINE="/dev/ttyb"			# WHAT tty LINE KERMIT USES

#
# WHERE tmp FILES LIVE - THIS IS GOOD FOR SECURITY
# THANKS TO Alan Cox (alan@cymru.net)
#
BBTMP="$BBHOME/tmp"

#
# WARNING AND PANIC LEVELS FOR DIFFERENT THINGS
# SEASON TO TASTE
#
PAGER=					# THE PAGER NUMBER TO CALL (YOURS)
DFPAGE=N				# PAGE ON DISK FULL (Y/N)
CPUPAGE=N				# PAGE FOR CPU Y/N
TELNETPAGE=N				# PAGE ON TELNET FAILURE?
HTTPPAGE=N				# PAGE ON HTTP FAILURE?

DFWARN=90				# DISK PCT TO WARN (YELLOW)
DFPANIC=95				# DISK PCT TO PANIC (RED)
CPUPANIC=300				# PANIC (RED) AT LOAD AVG OF 2
CPUWARN=150				# WARN (YELLOW) AT LOAD AVG OF 1

PROCS="http sendmail bbd"		# THESE PROCESSES MUST EXIST
PAGEPROC="http"				# PAGE IF ONE OF THESE IS TOAST
MSGS="NOTICE WARNING"			# MESSAGES TO LOOK FOR (WARNING)
PAGEMSG="NOTICE"			# PAGE ON THIS ONE

. ${BBHOME}/etc/bbsys.sh		# INCLUDE SYSTEM DEFINITIONS
. ${BBHOME}/etc/bbinc.sh		# INCLUDE BB DEFINITIONS
